#
#	File:		ScppVars.make
#
#	Contains:	Build variables for Symantec SCpp compiler
#
#	Written by:	Steve Smith
#
#	Copyright:	 1994-1995 by Apple Computer, Inc., all rights reserved.
#
#	Change History (most recent first):
#

DumpFileSize = 6400

# ----------------------------------------------------------------------
# Compiler
# ----------------------------------------------------------------------

CPlus = SCpp

SymOption = full
MacsbugOption = full
OptimizationOption = off
CodeModelOption = cfmflat
CodeSegmentOptions = -bigseg -onefrag
InlineStringsOption = -b3
CodeGenOptions = -mc68030
StructAlignmentOption = mac68k
WarningOption = -w 17

GOptions = 	-d _PLATFORM_MACINTOSH_=1			
			-d _PLATFORM_BIG_ENDIAN_=1			
			-align {StructAlignmentOption}		
			{CodeGenOptions}					
			-model {CodeModelOption}			
			{CodeSegmentOptions}				
			-sym {SymOption}					
			-mbg {MacsbugOption}				
			{InlineStringsOption}				
			-opt {OptimizationOption}			
			{WarningOption}

COptions = {GOptions}
CPlusOptions = {GOptions}

# ----------------------------------------------------------------------
# Linker
# ----------------------------------------------------------------------

LinkTool = ILink

ILinkOptions =	-model {CodeModelOption}	
				-sym {SymOption}			
				-mf
				
ILinkShLibOptions =  -xm s

ShLibPreLibraries = 

ShLibPostLibraries = {Default68kPostLibs} "{CFM68KLibraries}"NuCPlusLib.o

# ----------------------------------------------------------------------
# Post Processing
# ----------------------------------------------------------------------

SymTool = ILinkToSym

MergeFragmentOptions = -c
MergeFragment68KOption = -t m68k
MergeFragmentShLibOptions = {MergeFragment68KOption}

MakeSymOptions = -i "{OpenDocDir}" -r

